Subject: bug#42691: 28.0.50; eval-and-compile

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 16 Sep 2021 17:01:49 +0200

Andreas Schwab <[email-masked]> writes:

>> Are you saying this is not a bug in eval-and-compile?
>
> Yes.

I think that's correct -- the `eval-and-compile' makes the contents
evaluate in contexts where it otherwise wouldn't be evaluated.  But it
doesn't make the enclosing forms be evaluated in those contexts, so in
this case, they have to be moved down inside the `eval-and-compile'.

So this seems to be working as designed, and I'm closing this bug
report.  (If I misunderstood what this was about, please respond to the
debbugs address and we'll reopen.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no